Subject: [Dots] Comments on draft-ietf-dots-data-channel-00 --

From: "Russ White" <[email-masked]>
Date: Mon, 29 May 2017 21:28:13 -0400

Y'all --

Below are some grammar thoughts, and some more substantial questions, on draft-ietf-dots-data-channel-00.

😊 /r

==
An enterprise network has partner sites from which only legitimate traffic arrives and the enterprise network wants to ensure that the traffic from these sites is not penalized

I assume, from this wording, that only "enterprise" networks may contain or deploy DOTS clients... :-) I would change this wording, and remove "enterprise" throughout the document. Enterprise and provider are long dead terms with no real meaning any longer, and hence not really useful.

==
The DOTS client uses DOTS data channel..

I think "The DOTS client uses a DOTS data channel..." or "The DOTS client uses the DOTS data channel..."

==
The DOTS client may submit to the DOTS server a collection of prefixes it wants to refer to by alias when requesting mitigation, to which the server would respond with a success status and the new prefix group alias, or an error status and message in the event the DOTS client’s data channel request failed (see requirement OP-006 in ...

This seems pretty awkward -- maybe something like:

The DOTS client may submit a collection of prefixes which it would like to refer to through an alias to the server. The server can respond to this request for an alias either with the alias name, or an error (see requirement OP-006...

==
the data channel is not expected to be constructed to deal with attack conditions.

Might be better if the wording here were tightened up a bit, perhaps --

...the data channel is not expected to reliably transfer information under all possible attack conditions.

Or some such -- though this is somewhat contradicted by the following sentence, which says the data channel should be based on a connection oriented transport (TCP), in order to prevent data loss. If TCP is the required transport, then it seems the bits about the data channel being able to lose data might want to be taken out of the document.